<div align="right">
<a href='https://code.tls.nuskin.io/ns-am/content-foundation/foundation-core-app/badges/master/pipeline.svg'><img src='https://code.tls.nuskin.io/ns-am/content-foundation/foundation-core-app/badges/master/pipeline.svg' alt='Pipeline Badge' /></a>
<a href='https://code.tls.nuskin.io/ns-am/content-foundation/foundation-core-app/-/badges/release.svg'><img src='https://code.tls.nuskin.io/ns-am/content-foundation/foundation-core-app/-/badges/release.svg' alt='Latest Release Badge' /></a>
<a href='https://img.shields.io/npm/dt/%40nuskin/foundation-core-app'><img src='https://img.shields.io/npm/dt/%40nuskin/foundation-core-app' alt='Downloads Badge' /></a>
</div>

# @nuskin/foundation-core-app

This is Foundation Shared Dependancy Repo

## Releases

### [CHANGELOG](https://code.tls.nuskin.io/ns-am/content-foundation/foundation-core-app/-/blob/master/CHANGELOG.md)

## Installation Guide

To integrate the NuSkin Shared Dependancy into your NuSkin Pages project, follow these steps:

### Clone the repository to your local machine

```shell
git clone git@code.tls.nuskin.io:ns-am/content-foundation/foundation-core-app.git
```

## Running the project

### Run the main application using yarn

```shell
yarn dev
```



## Dependencies

This project relies on the following dependencies:

**Emotion UI Libraries**

-   `@emotion/react@^11.11.1`
-   `@emotion/styled@^11.11.0`

**Material-UI Libraries**

-   `@mui/material@5.14.16`
-   `@mui/icons-material@^5.14.16`
-   `@mui/utils@^5.14.16`

**NuSkin Foundation Theme**

-   `@nuskin/foundation-theme@1.5.0`


## Testing

We use Jest for testing our project. Below are the available test scripts:

-   Run all tests and generate coverage report:\*\*
    ```bash
    yarn test
    ```
-   Run tests for a specific pattern (e.g., accordion/\*):
    ```bash
    yarn run test:pattern
    ```
-   Run only failed tests from the last test run:
    ```bash
    yarn run test:failed
    ```
-   Generate and view code coverage report:

    ```bash
    yarn run test:coverage
    ```

-   The yarn test script builds the project using Next.js before running Jest tests.
-   Feel free to customize the test patterns or add additional options as needed.

### Coverage Report:

After running tests, open the `index.html` file in the `coverage` directory to view the coverage report.
