import { parseJsonString } from '../../utils';
import { BynderImageDataType, getImageType, getMediaUrl, getUrlBasedOnDerivative } from '../../utils/bynder-util';


export const getTransformedMediaUrl = (
    imageData: string | BynderImageDataType,
    suffix = ''
): string => {
    const image =
        typeof imageData === 'string' ? parseJsonString(imageData)?.image?.[0] || {} : imageData;
    const { files, name, selected, previewUrls, isPublic } = image;
    const { url = '', fit, position, altText = '', bgColor, type } = selected ?? {};
    const imageDerivativeType = getImageType(url, name, files);
    const mediaUrl = getMediaUrl(selected, isPublic, previewUrls);
    return getUrlBasedOnDerivative(mediaUrl, imageDerivativeType, suffix ?? '');
};
