import compose from 'ramda/src/compose';
import pathOr from 'ramda/src/pathOr';
import {
    getBackgroundBrandImageDetail,
    getBackgroundImageDetail,
    getButtonModel
} from './card-model-util';
import { CardTypeName } from './types';

const getBrandCardModel = (data: any) => ({
    title: data?.brandCardTitle || '',
    brandImageDetail: getBackgroundBrandImageDetail(data),
    backgroundImageDetail: getBackgroundImageDetail(data),
    size: data?.brandCardSize || '',
    className: data?.className || '',
    button: getButtonModel(data)
});

export const getBrandCardData = compose(getBrandCardModel, pathOr({}, [CardTypeName.BrandCard]));
