
import { BynderImageDataType } from '../../utils/bynder-util';
import { BynderImageDerivativeTypes } from './types';

export const getButtonModel = (data: any) => ({
    showButton: data?.showButton || '',
    url: data?.url || '',
    buttonText: data?.buttonText || '',
    buttonVariant: data?.buttonVariant || '',
    endIcon: data?.endIcon || '',
    buttonColor: data?.buttonColor || '',
    fullWidth: data?.ButtonfullWidth || ''
});

export const getBackgroundImageDetail = (data: {
    backgroundImageUrl?: BynderImageDataType[];
    backgroundImageDetail?: BynderImageDataType[];
}): BynderImageDataType | undefined => {
    const { backgroundImageUrl, backgroundImageDetail } = data || {};
    if (Array.isArray(backgroundImageUrl)) {
        return backgroundImageUrl?.[0];
    } else {
        return backgroundImageDetail?.[0];
    }
};

export const getBackgroundBrandImageDetail = (data: {
    backgroundBrandImageDetail: BynderImageDataType[];
}): BynderImageDataType => {
    return data?.backgroundBrandImageDetail?.[0];
};

export const getBynderImageUrl = (data: any) => {
    const { files, selected } = data?.backgroundImageUrl ?? [{}];
    if (selected?.url) return selected.url;
    return getBynderImageObj(files)?.url ?? '';
};

export const getBynderImageObj = (
    files: BynderImageDataType['files'],
    derivativeName: BynderImageDerivativeTypes = ''
) => {
    if (derivativeName && files?.[derivativeName]) {
        return {
            derivativeName,
            ...files?.[derivativeName]
        };
    } else {
        const keys: BynderImageDerivativeTypes[] = [
            'transformBaseUrl',
            'webImage',
            'thumbnail',
            'mini',
            'original'
        ];
        for (const key of keys) {
            if (files?.[key]) {
                return {
                    derivativeName: key,
                    ...files?.[key]
                };
            }
        }
    }
};
