import compose from 'ramda/src/compose';
import pathOr from 'ramda/src/pathOr';

import { getBackgroundImageDetail, getButtonModel } from './card-model-util';
import { CardTypeName } from './types';

const getSmallFullCardModel = (data: any) => {
    const { title = '', subtitle = '', className = '' } = data;
    const backgroundImageDetail = getBackgroundImageDetail(data);
    const button = getButtonModel(data);
    return { title, subtitle, className, backgroundImageDetail, button };
};
export const getSmallFullCardData = compose(
    getSmallFullCardModel,
    pathOr({}, [CardTypeName.SmallFullCard])
);
