import compose from 'ramda/src/compose';
import pathOr from 'ramda/src/pathOr';
import { getBackgroundImageDetail, getButtonModel } from './card-model-util';
import { CardTypeName } from './types';

const getXLargeCardModel = (data: any) => ({
    title: data?.title || '',
    subtitle: data?.subtitle || '',
    backgroundImageDetail: getBackgroundImageDetail(data),
    className: data?.className || '',
    button: getButtonModel(data)
});

export const getXLargeCardData = compose(getXLargeCardModel, pathOr({}, [CardTypeName.XLargeCard]));
