import { render } from '@testing-library/react';

import NsCard from '../CsCard';
import {
    AwardCardData,
    BrandCardData,
    CheckoutCardData,
    HeroCardLevel1CardData,
    HeroCardLevel2CardData,
    IconTextCardData,
    LargeCardData,
    MediumCardData,
    PostCardData,
    SmallFullCardData,
    XLargeCardData
} from './fixtures';

describe('Card', () => {
    it('1. renders AwardCard Component with data', () => {
        const container = render(<NsCard {...AwardCardData} />);
        expect(container).toMatchSnapshot();
    });
    it('2. renders IconTextCard Component with data', () => {
        const container = render(<NsCard {...IconTextCardData} />);
        expect(container).toMatchSnapshot();
    });
    it('3. renders PostCard Component with data', () => {
        const container = render(<NsCard {...PostCardData} />);
        expect(container).toMatchSnapshot();
    });
    it('4. renders CheckoutCard Component with data', () => {
        const container = render(<NsCard {...CheckoutCardData} />);
        expect(container).toMatchSnapshot();
    });
    it('5. renders HeroCardLevel1Card Component with data', () => {
        const container = render(<NsCard {...HeroCardLevel1CardData} />);
        expect(container).toMatchSnapshot();
    });
    it('6. renders HeroCardLevel2Card Component with data', () => {
        const container = render(<NsCard {...HeroCardLevel2CardData} />);
        expect(container).toMatchSnapshot();
    });
    it('7. renders BrandCard Component with data', () => {
        const container = render(<NsCard {...BrandCardData} />);
        expect(container).toMatchSnapshot();
    });
    it('8. renders LargeCard Component with data', () => {
        const container = render(<NsCard {...LargeCardData} />);
        expect(container).toMatchSnapshot();
    });
    it('9. renders MediumCard Component with data', () => {
        const container = render(<NsCard {...MediumCardData} />);
        expect(container).toMatchSnapshot();
    });
    it('9.b renders MediumCard Component with data', () => {
        const container = render(<NsCard {...MediumCardData} card={null as any} />);
        expect(container).toMatchSnapshot();
    });
    it('10. renders XLargeCard Component with data', () => {
        const container = render(<NsCard {...XLargeCardData} />);
        expect(container).toMatchSnapshot();
    });
    it('11. renders SmallFullCard Component with data', () => {
        const container = render(<NsCard {...SmallFullCardData} />);
        expect(container).toMatchSnapshot();
    });
    it('12. renders No Component with empty data', () => {
        const container = render(<NsCard card={''} />);
        expect(container).toMatchSnapshot();
    });
});
