import { getEnvironmentValues } from '../utils/env-utils';

export type SupportedMarketsTypes = 'us' | 'ca';
interface appSupportProps {
    SUPPORTED_MARKETS: SupportedMarketsTypes[];
    ROUTER_BASE_URL: string;
}

interface AppEnv {
    APP_ENV: 'dev' | 'local' | 'test' | 'prod';
}

const env = getEnvironmentValues();

export const localeSupport: appSupportProps = {
    SUPPORTED_MARKETS: ['us', 'ca'],
    ROUTER_BASE_URL: env.BASE_URL
};

export const defaultLocale = 'en_US';

export const sessionCookieId = 'x-sk-session-id';

export const appEnv: AppEnv = {
    APP_ENV: env.APP_ENV || 'dev'
};
