import { getGenomeColor } from '@nuskin/foundation-theme/src/common/themes/genome-colors/ColorFunctions';
import { AllColorKeyType, styled } from '@nuskin/foundation-theme';
import { breakpoints } from '../../theme';


export const HeroTextContainer = styled.div<{ fontColor?: string }>`
    padding: 30px;
    color: ${({ fontColor = '' }) => fontColor};

    .description, .link-wrapper {
        margin-top: 20px;
    }

    .cs-button {
        margin: 0;
        padding: 0;
    }
    .cta-text {
        color: ${({ fontColor = '' }) => fontColor};

    }
    .icon-order {
        svg {
            g {
                stroke:  ${({ fontColor = '' }) => fontColor};
            }
        }
    ß}
`;

export const HeroImageContainer = styled.div`
    overflow: hidden;

    img {
        object-fit: cover;
    }
`;

export const HeroContentContainer = styled('div')<{
    backgroundColor: AllColorKeyType;
}>`
    display: flex;
    flex-direction: column;
    background-color: ${({ backgroundColor, theme }) => getGenomeColor(theme, backgroundColor)};

    ${breakpoints.md} {
        flex-direction: row;
        flex-wrap: wrap;
        align-items: center;
        justify-content: start;
    }
`;
