import applySpec from 'ramda/src/applySpec';
import compose from 'ramda/src/compose';
import propOr from 'ramda/src/propOr';

import { BASE_HERO_PROPS } from './base-hero';
import { HeroTypeName } from '../types';
import { HeroCardProps } from '../types';

const toCard = applySpec<HeroCardProps>({
    ...BASE_HERO_PROPS,
    preHeader: propOr('', HeroTypeName.preHeader),
    header: propOr('', HeroTypeName.header)
});

export const getThreeCardData = applySpec({
    mainCard: compose(toCard, propOr({}, 'main_hero_card')),
    subHero1: compose(toCard, propOr({}, 'sub_hero_1')),
    subHero2: compose(toCard, propOr({}, 'sub_hero_2'))
});
