import { CslpTag, NsTypography } from '@nuskin/foundation-ui-components';
import { PropsWithChildren } from 'react';

type PageTitleProps = {
    title?: string;
    sub_title?: string;
    alignment?: 'left' | 'center' | 'right';
    $?: {
        title?: CslpTag;
        sub_title?: CslpTag;
    };
};

const CsPageTitleComponent = (props: PropsWithChildren<PageTitleProps>) => {
    const { title, sub_title, alignment, $ } = props;
    return (
        <div className={`text-${alignment}`}>
            {title ? (
                <div className="pt-12" data-testId="cs-page-title">
                    <NsTypography variant="h2" renderHTMLNode additionalProps={{ ...$?.title }}>
                        {title}
                    </NsTypography>
                </div>
            ) : null}
            {sub_title ? (
                <div className="py-4">
                    <NsTypography
                        variant="title-l"
                        additionalProps={{ ...$?.title }}
                        data-testId="cs-page-sub-title"
                    >
                        {sub_title}
                    </NsTypography>
                </div>
            ) : null}
        </div>
    );
};

export default CsPageTitleComponent;
