import { render } from '@testing-library/react';
import PageTitle from '../PageTitle';

describe('Block Parser', () => {
    it('1. should render PageTitle component', async () => {
        const { container } = render(<PageTitle title="Title" sub_title="Testing" />);
        expect(container).toBeInTheDocument();
    });
    it('2. should show title', async () => {
        const { container } = render(<PageTitle title="Title" sub_title="Testing" />);
        expect(container).toHaveTextContent('Title');
    });
    it('3. should show sub title if present', async () => {
        const { container } = render(<PageTitle title="Title" sub_title="Testing" />);
        expect(container).toHaveTextContent('Testing');
    });
    it('4. should not show  title if present', async () => {
        const { container } = render(<PageTitle />);
        expect(container).not.toHaveTextContent('Testing');
    });
    it('5. should not show sub title if present', async () => {
        const { container } = render(<PageTitle />);
        expect(container).not.toHaveTextContent('Testing');
    });
});
