import pathOr from 'ramda/src/pathOr';
import { PropsWithChildren } from 'react';

import { ShowcaseMap } from './ShowcaseMap';
import { ShowcaseBlockProps } from './types/types';
import { extractContentType } from '../utils';

const NsShowcaseComponent = (props: PropsWithChildren<ShowcaseBlockProps>) => {
    const pageBlocks = pathOr(false, ['showcase', 0])(props);
    if (pageBlocks) {
        const contentType = extractContentType(pageBlocks);
        const { dataParser, component: BlockComponent } = ShowcaseMap[contentType] ?? {};
        if (typeof dataParser === 'function') {
            const blockData: any = dataParser(pageBlocks);
            if (BlockComponent) {
                return <BlockComponent {...blockData} />;
            }
        }
    }
    return <></>;
};

export default NsShowcaseComponent;
