import applySpec from 'ramda/src/applySpec';
import propOr from 'ramda/src/propOr';
import { ShowcasePropName } from './types';
import { getBrandColor } from '../../utils/model-utils';

const getLiveTag = (prop: any) => {
    if (prop?.$)
        return {
            entries: prop?.$?.entries,
            title: prop?.$?.title,
            image: prop?.$?.image,
            icon_background_color: prop?.$?.icon_background_color,
            icon_color: prop?.$?.icon_color
        };
    return null;
};

const parseShowcaseListData = applySpec({
    title: propOr('', ShowcasePropName.title),
    image: propOr('', ShowcasePropName.image),
    alignment: propOr('', ShowcasePropName.imageAlignment),
    iconBgColor: getBrandColor(ShowcasePropName.iconBackgroundColor),
    iconColor: propOr(false, ShowcasePropName.iconColor),
    entries: propOr([], ShowcasePropName.entries),
    fontColor: propOr(false, ShowcasePropName.fontColor),
    backgroundColor: getBrandColor(ShowcasePropName.backgroundColor),
    liveTags: getLiveTag
});

export default parseShowcaseListData;
