import { compose } from 'ramda';
import propOr from 'ramda/src/propOr';
import { StatementTypeName } from '../types/types';
import { getBrandColor } from '../../utils/model-utils';


const getStatementLiveTags = (statement: Record<string, any>) => {
    if (statement?.$) {
        return {
            header: statement?.$?.[StatementTypeName.header]
        };
    }
};
const getStatementDataModel = (value: any) => {
    return value ? 'secondary' : 'primary';
};

export const baseStatementSpec = {
    show: propOr(false, StatementTypeName.show),
    header: propOr('', StatementTypeName.header),
    fontColor: compose(getStatementDataModel, propOr(false, StatementTypeName.fontColor)),
    backgroundColor: getBrandColor(StatementTypeName.backgroundColor),
    liveTags: getStatementLiveTags
};
