import { styled } from '@nuskin/foundation-theme';
import { PropsWithChildren } from 'react';

import { VideoParserProps } from './types/types';
import { VideoBlockMap } from './VideoMap';
import { extractContentType } from '../utils';

const VideoContainer = styled('div')(() => {
    return {
        margin: '0 auto',
        display: 'flex',
        justifyContent: 'center',
        maxWidth: '1200px'
    };
});
const NsVideoComponent = (props: PropsWithChildren<VideoParserProps>) => {
    const pageBlocks = props?.video[0] || {};
    const blockType = extractContentType(pageBlocks);
    const videoBody = VideoBlockMap[blockType];
    const blockData: any = videoBody?.dataParser(props);
    const BlockComponent = videoBody?.component || null;
    if (!BlockComponent) return <></>;
    return (
        <VideoContainer className="video-container" data-testid="video-component">
            <BlockComponent {...blockData} />
        </VideoContainer>
    );
};

export default NsVideoComponent;
