import applySpec from 'ramda/src/applySpec';
import propOr from 'ramda/src/propOr';

import { getDefaultVideoData } from './default-video-model';
import { VideoTypeName } from '../types/types';

const DefaultFrameWidth = '100%';
const DefaultFrameheight = '100%';

const getVideoDataModel = (item: any) => {
    return {
        show: propOr(false, VideoTypeName.show)(item),
        title: propOr('', VideoTypeName.title)(item),
        width: propOr(DefaultFrameWidth, VideoTypeName.width)(item),
        height: propOr(DefaultFrameheight, VideoTypeName.height)(item),
        items: getDefaultVideoData(item)[0]
    };
};

const getVideoPage = applySpec({
    video: getVideoDataModel
});

export default getVideoPage;
