import { styled } from '@nuskin/foundation-theme';
import NsVideo from '@nuskin/foundation-ui-components/src/common/videos/NsVideo';
import { PropsWithChildren } from 'react';

import { DefaultVideoProps } from '../types/types';
import { breakpoints } from '../../theme';

const VideoWrapper = styled('div')`
    width: 100%;
    height: auto;
    min-height: 300px;
    margin: 0 auto;
    ${breakpoints.md} {
        width: 520px;
        margin: 30px auto;
    }
    ${breakpoints.lg} {
        width: 720px;
        height: 360px;
    }
`;

const DefaultVideoComponent = (props: { video: PropsWithChildren<DefaultVideoProps> }) => {
    const { title = 'nuskin video', height, width, items } = props.video || {};
    const { liveTag, href, allowFullScreen } = items || {};
    return (
        <VideoWrapper {...liveTag}>
            <NsVideo
                title={title}
                src={href}
                width={width}
                height={height}
                allowFullScreen={allowFullScreen}
            />
        </VideoWrapper>
    );
};

export default DefaultVideoComponent;
